## python-networkx 1.8.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest epub

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  epub       to make an epub"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"


clean:
	-rm -rf build/* source/reference/generated/* source/examples/* source/static/examples doc/source/*.pdf doc/source/*.zip 
	-rm -rf ../examples/*/*.png

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	./make_gallery.py 
	./make_examples_rst.py ../examples source
	touch build/generate-stamp


dist: html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-rm -rf build/dist
	(cd build/html; cp -r . ../../build/dist)
	-rm -f build/dist/_downloads/*
	(cd build/html && zip -9r ../dist/_downloads/networkx-documentation.zip .)
	cp build/latex/*.pdf build/dist/_downloads
#	(cd build/dist && ln -s _downloads/* .)
	(cd build/dist && tar czf ../dist.tar.gz .)


html: generate
	touch source/networkx_tutorial.pdf	
	touch source/networkx_reference.pdf	
	touch source/networkx-documentation.zip
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml: generate
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle: generate
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: generate
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: generate
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp: generate
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/test.qhc"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) build/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."


latex: generate
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest: generate
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

gh-pages: clean dist
	python gh-pages.py $(tag)

gitwash-update:
	python gitwash_dumper.py source/developer networkx \
       --project-url=http://networkx.github.io \
       --project-ml-url=http://groups.google.com/group/networkx-discuss/

## python-networkx 1.1

=== debian/changelog ===
python-networkx (1.1-2) unstable; urgency=low

  * debian/{control, source/format, rules}
    - switch to '3.0 (quilt)' source format
  * debian/rules
    - use '-f' option of rm instead of the make-way of ignoring error
  * debian/rules
    - remove 2 doc files not needed (they are actually broken symlinks); thanks
      to Ian Zimmerman for the report; Closes: #580839
  * debian/patches/changeset_r1745.diff
    - replace string exceptions, removed from python >= 2.6; Closes: #585307
  * debian/{control, pyversions}
    - removed pyversions, now using XS-P-V

 -- Sandro Tosi <morph@debian.org>  Wed, 23 Jun 2010 18:12:28 +0200

python-networkx (1.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright
    - added Drew Conway to the list of copyright holders
  * debian/patches/20_example_dirs_remove
    - refreshed for new upstream code
  * debian/control
    - bump versioned python-support b-d to at least version 1
  * debian/rules
    - install ReST source for documentation, since it's not currently buildable

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Apr 2010 20:52:16 +0200

python-networkx (1.0.1-2) unstable; urgency=low

  * debian/rules
    - use '--install-layout=deb' when installing and '*-packages' when referring
      to installation path, to make the package be Python2.6-ready; thanks to
      Jakub Wilk for the report; Closes: #571508

 -- Sandro Tosi <morph@debian.org>  Fri, 26 Feb 2010 23:53:35 +0100

python-networkx (1.0.1-1) unstable; urgency=low

  * New upstream release; thanks to Yaroslav Halchenko for the report;
    Closes: #565319
  * debian/control
    - take maintainership back under DPMT umbrella; thanks to Cyril Brulebois
      for his work
    - adjust Vcs-{Svn, Browser} to point to DPMT location
    - bump Standards-Version to 3.8.4
      + added debian/README.source
    - replace b-d-i on python-all-dev with python only
    - use HTTP (and not HTTPS) for Homepage field
    - rephrased short description; thanks to Rogério Brito for the report;
      Closes: #557895
  * debian/pyversions
    - minimum version set to 2.5
  * debian/copyright
    - updated upstream copyright authors and license information
    - update copyright notice for packaging
  * debian/watch
    - updated to report numerical (with dots) releases
  * debian/patches/20_fix_broken_svn_keyboards
    - removed, fixed upstream
  * debian/patches/20_example_dirs_remove
    - don't created empty dirs for examples no more present

 -- Sandro Tosi <morph@debian.org>  Fri, 26 Feb 2010 00:20:57 +0100

python-networkx (1.0~rc1~svn1492-2) experimental; urgency=low

  * Work around both svn's and python's broken behaviours: exporting from
    the former is locale-dependant, and the latter can't cope with Unicode
    out of the box (Closes: #557743):
     + debian/patches/20_fix_broken_svn_keyboards.
  * Self-reminder: don't touch svn ever again.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 24 Nov 2009 12:26:36 +0100

python-networkx (1.0~rc1~svn1492-1) experimental; urgency=low

  * New upstream snapshot, past 1.0~rc1, as requested by Yaroslav
    Halchenko (Closes: #549996).
  * Refresh patch accordingly:
     + debian/patches/10_doc_relocation.
  * Get rid of extra LICENSE.txt file in /usr/share/doc.
  * Use dh_compress -Xexamples/ to avoid compressing examples, thanks to
    Sandro Tosi (Closes: #539942).
  * Bump Standards-Version from 3.8.0 to 3.8.3 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 23 Nov 2009 15:44:34 +0100

python-networkx (0.99-2) unstable; urgency=low

  * Upload to unstable now that lenny is released (yay).
  * Fix FTBFS with python-support 0.90.3: no longer rely on its internal
    behaviour, and xnow set tests/test.py executable right after “setup.py
    install” (Closes: #517065).
  * Drop executable bits from bz2 files.
  * Update Vcs-* fields: move from DPMT's svn to collab-maint's git.
  * Remote DPMT from Uploaders, following Piotr Ożarowski's request.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 13:36:24 +0100

python-networkx (0.99-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control:
     + Switch Vcs-Browser field to viewsvn.

  [ Cyril Brulebois ]
  * New upstream release.
  * Refresh patch accordingly:
     + debian/patches/10_doc_relocation.
  * debian/rules:
     + Update uneeded file list, only INSTALL.txt left.
     + Update README renaming, using a new $(DEBIANDOC_DIR) variable.
     + Stop removing a directory, no longer created.
  * debian/docs:
     + Deleted, README taken care of through debian/rules.
  * debian/control:
     + Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).
     + Update my mail address.
  * debian/copyright:
     + Ditto.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Nov 2008 07:42:43 +0100

python-networkx (0.36-2) unstable; urgency=low

  * debian/control:
     + Replace python-setuptools with python-pkg-resources in the
       “Recommends:” since pkg_resources is now available in this
       separate package, thanks Matthias Klose (Closes: #468721).
  * debian/copyright:
     + Use “© $years $name” instead of invalid “$name, $years” and
       “(C) $years, $name”, thanks to lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 02 Mar 2008 01:06:32 +0100

python-networkx (0.36-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control:
     + Uniformize Vcs-Browser field across the DPMT packages.

  [ Cyril Brulebois ]
  * New upstream release.
  * debian/copyright:
     + Update copyright years.
     + Update the list of authors.
  * Don't repack anymore, upstream no longer ships the examples that
    weren't DFSG-compliant.
  * debian/README.Debian:
     + Update accordingly.
  * debian/watch:
     + Remove version mangling, no longer needed.
  * debian/rules:
     + Delete the networkx.egg-info/SOURCES.txt pristine hack.
     + Only remove the whole networkx.egg-info directory in the


=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://networkx.lanl.gov/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-networkx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-networkx/trunk/

Package: python-networkx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph we mean a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network we usually
 mean a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYSUPPORT_DIR=debian/python-networkx/usr/share/python-support/python-networkx
DEBIANDOC_DIR=$(CURDIR)/debian/python-networkx/usr/share/doc/python-networkx

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	rm -fr build

	# Make sure that there's no .pyc left
	find . -name '*.pyc' -exec rm {} ';'

	# This directory is generated during the build
	rm -rf networkx.egg-info

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install w/o compiling *.pyc files
	# Install egg-info directories (--single-... option)
	python setup_egg.py install --no-compile --root=$(CURDIR)/debian/python-networkx \
		--single-version-externally-managed --install-layout=deb

	# Fix executable bits:
	chmod +x debian/python-networkx/usr/lib/`pyversions -d`/*-packages/networkx/tests/test.py
	find debian/python-networkx -name '*.bz2' -exec chmod a-x {} ';'

	# Do some cleanup: delete unneeded files:
	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt

	# Rename the README file.
	mv $(DEBIANDOC_DIR)/README.txt $(DEBIANDOC_DIR)/README


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs	doc/source
	rm $(DEBIANDOC_DIR)/source/install.rst $(DEBIANDOC_DIR)/source/reference/legal.rst
	dh_installexamples
	dh_pysupport
	dh_installman
	dh_link
	dh_compress -Xexamples/
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://networkx.lanl.gov/download/networkx/networkx-([\d\.]*).tar.gz

## python-networkx 1.4

=== debian/changelog ===
python-networkx (1.4-2~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 05 May 2011 14:29:14 -0400

python-networkx (1.4-2) unstable; urgency=low

  * debian/patches/10_doc_relocation
    - write a description for this patch
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - don't use 'we' in long description
  * debian/rules
    - install upstream changelog

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Apr 2011 17:48:53 +0200

python-networkx (1.4-1) experimental; urgency=low

  * New upstream release; thanks to Yaroslav Halchenko for the report;
    Closes: #617677
  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608780
  * debian/watch
    - updated to point to PyPi
  * debian/control
    - bump python-sphinx versioned b-d-i to 1.0.1 minimum
    - added python-pygraphviz to b-d-i, needed for doc building
  * debian/copyright
    - bump upstream and packaging copyright years
  * debian/patches/{40_add_networkxcss, 50_boundary-test-fix.patch
                    60_remove_svn_refs.diff 70_set_matplotlib_ps_backend.patch}
    - removed since merged upstream
  * debian/patches/{10_doc_relocation, 20_example_dirs_remove,
                    30_use_local_objects.inv}
    - refreshed/adapted to new upstream code

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Mar 2011 12:19:16 +0100

python-networkx (1.3-1) experimental; urgency=low

  * New upstream release
  * debian/patches/changeset_r1745.diff
    - dropped, available in upstream release
  * debian/patches/10_doc_relocation
    - refreshed patch for new upstream code
  * debian/control
    - upstream code is now compatible with 2.6 or later only
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/{control, rules}
    - run unittests at build time, b-d on python-nose added
  * debian/copyright
    - removed reference to /usr/share/common-licenses/BSD
  * Create a -doc package ; thanks to Yaroslav Halchenko for the report;
    Closes: #567369
    - (d/control) define a new binary package, and add depends on sphinx (>= 1)
    - (d/rules) build documentation, install it into the new -doc package
    - (d/patches/30_use_local_objects.inv) use local copy of remote objects.inv
  * debian/{control, rules}
    - moved to dh7 and "reduced" rules file
  * debian/rules
    - refer to built code when building doc
  * debian/python-networkx-doc.doc-base
    - added doc-base information
  * debian/patches/40_add_networkxcss
    - added as patch, since networkx.css is missing from the tarball, but needed
      to display properly HTML documentation
  * debian/patches/50_boundary-test-fix.patch
    - upstream patch to restrict node boundary test cases to valid range
  * debian/patches/60_remove_svn_refs.diff
    - upstream patch to remove references to old SVN repository (now Mercurial)
  * debian/patches/70_set_matplotlib_ps_backend.patch
    - set matplotlib backend to 'PS', so a DISPLAY it's not required and the
      tests can be run in a "reduced" environment

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Dec 2010 23:50:27 +0100

=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz
Standards-Version: 3.9.2
XS-Python-Version: >= 2.6
Homepage: http://networkx.lanl.gov/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-networkx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-networkx/trunk/

Package: python-networkx
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

Package: python-networkx-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: tool to create, manipulate and study complex networks - documentation
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains documentation for NetworkX.

## python-networkx 1.5

=== debian/changelog ===
python-networkx (1.5-2ubuntu0.1) oneiric-proposed; urgency=low

  * debian/patches/50_no_setuptools_in_requires.txt
     - don't add setuptools to requires.txt;
       allows import with pkg_resources.require('networkx') like
       e.g. epigrass does (LP: #925744)

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 03 Feb 2012 19:58:28 +0100

python-networkx (1.5-2) unstable; urgency=low

  * debian/patches/40_astar_unique_shortest_path.diff
    - make A* shortest paths unique; Closes: #634083

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jul 2011 13:53:32 +0200

python-networkx (1.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - added dvipng to b-d-i, needed for math images

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jun 2011 18:13:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz
+Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng
 Standards-Version: 3.9.2
 XS-Python-Version: >= 2.6
 Homepage: http://networkx.lanl.gov/
@@ -14,7 +14,7 @@
 
 Package: python-networkx
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
 Description: tool to create, manipulate and study complex networks
  NetworkX is a Python-based package for the creation, manipulation, and
@@ -32,7 +32,7 @@
 Package: python-networkx-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: tool to create, manipulate and study complex networks - documentation
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.

=== debian/rules ===
#!/usr/bin/make -f

DEBIANDOC_DIR=$(CURDIR)/debian/python-networkx/usr/share/doc/python-networkx
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean

	# Add here commands to clean up after the build process.
	rm -fr build

	# Make sure that there's no .pyc left
	find . -name '*.pyc' -exec rm {} ';'

	# This directory is generated during the build
	rm -rf networkx.egg-info

build: build-arch build-indep ;

build-arch:
	dh build

	# running tests
	for py in $(shell pyversions -r) ; do\
		PYTHONPATH=$(PYLIBPATH) $$py setup_egg.py nosetests ; \
	done

build-indep:
	# build doc
	make -C doc dist PYTHONPATH=../$(PYLIBPATH)

override_dh_install:
	# Install w/o compiling *.pyc files
	# Install egg-info directories (--single-... option)
	python setup_egg.py install --no-compile --root=$(CURDIR)/debian/python-networkx \
		--single-version-externally-managed --install-layout=deb

	# Fix executable bits:
	chmod +x debian/python-networkx/usr/lib/`pyversions -d`/*-packages/networkx/tests/test.py
	find debian/python-networkx -name '*.bz2' -exec chmod a-x {} ';'

	# Do some cleanup: delete unneeded files:
	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt

	# Rename the README file.
	mv $(DEBIANDOC_DIR)/README.txt $(DEBIANDOC_DIR)/README

	dh_install

	# install doc from dir 'dist', but rename it to 'html', better name
	mv debian/python-networkx-doc/usr/share/doc/python-networkx-doc/dist \
		debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html

	rm -rf debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_static/jquery.js
	dh_link -ppython-networkx-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-networkx-doc/html/_static/jquery.js

	# link the pdf files also at the top level dir
	dh_link -ppython-networkx-doc /usr/share/doc/python-networkx-doc/html/_downloads/networkx_reference.pdf /usr/share/doc/python-networkx-doc/networkx_reference.pdf
	dh_link -ppython-networkx-doc /usr/share/doc/python-networkx-doc/html/_downloads/networkx_tutorial.pdf /usr/share/doc/python-networkx-doc/networkx_tutorial.pdf

	# remove full doc zip file
	rm -f debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_downloads/networkx-documentation.zip

update_intersphinx_mapping:
	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
	wget http://docs.scipy.org/doc/numpy/objects.inv -O debian/scipy.org_numpy_objects.inv

override_dh_compress:
	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv

override_dh_installchangelogs:
	dh_installchangelogs doc/source/reference/news.rst

=== debian/watch ===
version=3
#http://networkx.lanl.gov/download/networkx/networkx-([\d\.]*).tar.gz
http://pypi.python.org/packages/source/n/networkx/networkx-([\d\.]*)\.tar.gz

## python-networkx 1.6

=== debian/changelog ===
python-networkx (1.6-2) unstable; urgency=low

  * debian/rules
    - set MPLCONFIGDIR to current directory when building the doc, fixing a
      FTBFS; thanks to Lucas Nussbaum for the report; Closes: #665038
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 03 Apr 2012 20:00:02 +0200

python-networkx (1.6-1) unstable; urgency=low

  * New upstream release
  * debian/patches/10_doc_relocation
    - refreshed for new upstream code
  * debian/patches/40_astar_unique_shortest_path.diff
    - removed, merged upstream
  * debian/patches/40_no_setuptools_in_requires.txt
    - don't add setuptools to requires.txt; Closes: #639995
  * debian/patches/50_nosetests_verbosity_0
    - set verbosity=0 else tests can't be run
  * debian/{control, rules}
    - use dh_sphinxdoc

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2011 16:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.1), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng
-Standards-Version: 3.9.2
+Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://networkx.lanl.gov/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-networkx/trunk/
@@ -32,7 +31,7 @@
 Package: python-networkx-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: tool to create, manipulate and study complex networks - documentation
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
 
 %:
-	dh $@
+	dh $@ --with sphinxdoc
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -29,8 +29,8 @@
 	done
 
 build-indep:
-	# build doc
-	make -C doc dist PYTHONPATH=../$(PYLIBPATH)
+	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
+	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(PYLIBPATH))
 
 override_dh_install:
 	# Install w/o compiling *.pyc files

## python-networkx 1.7~rc1

=== debian/changelog ===
python-networkx (1.7~rc1-3) unstable; urgency=low

  * debian/patches/changeset_9ebe087b8bbcdeee3051e07cacd05fa07436c16e.diff
    - Preserver order in G.nodes(), fixing a FTBFS in nipype; thanks to Yaroslav
      Halchenko for the report and analysis; Closes: #684107

 -- Sandro Tosi <morph@debian.org>  Tue, 07 Aug 2012 22:10:21 +0200

python-networkx (1.7~rc1-2) unstable; urgency=low

  * debian/patches/changeset_8960521b5ae4897bdbac4ff49525d8b37bff88d2.diff
    - Handle empty graph (all zero matrix) and null graph (raise exception) in
      to_scipy_sparse_matrix; thanks to Yaroslav Halchenko for the report;
      Closes: #678036

 -- Sandro Tosi <morph@debian.org>  Tue, 19 Jun 2012 21:49:24 +0200

python-networkx (1.7~rc1-1) unstable; urgency=low

  * New upstream release candidate
  * debian/watch
    - recognize rc releases
  * debian/copyright
    - extend upstream and packaging copyright years
    - add Nicholas Mancuso's copyrighted files
  * debian/control
    - add python-numpy, python-scipy to b-d-i to enable additional tests
  * debian/patches/*
    - refreshed patches
  * debian/patches/50_nosetests_verbosity_0
    - removed, merged upstream
  * debian/patches/changeset_fed4cb6e78dc7047c06522b0418ef5b0d8197290.diff
    - fix an error in unittests

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jun 2012 23:46:38 +0200

python-networkx (1.6-3) unstable; urgency=low

  * debian/rules
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671193

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2012 13:10:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng
+Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng, python-numpy, python-scipy
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Homepage: http://networkx.lanl.gov/

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 	# Add here commands to clean up after the build process.
 	rm -fr build
+	# Remove built doc too
+	$(MAKE) -C doc clean
+	rm -rf doc/source/*.pdf doc/source/*.zip examples/*/*.png doc/fontList.cache
 
 	# Make sure that there's no .pyc left
 	find . -name '*.pyc' -exec rm {} ';'

## python-networkx 1.7

=== debian/changelog ===
python-networkx (1.7-2) experimental; urgency=low

  * debian/*_objects.inv
    - updated intersphinx mapping files
  * debian/rules
    - reorganize build and test targets
  * debian/{control, rules}
    - provide Python 3 package; Closes: #597422

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Aug 2012 18:04:48 +0200

python-networkx (1.7-1) experimental; urgency=low

  * New upstream release
  * debian/patches/changeset_*
    - removed, included upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Aug 2012 12:41:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng, python-numpy, python-scipy
+Build-Depends-Indep: python-all (>= 2.3.5-11), python3-all, python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng, python-numpy, python-scipy, python3-scipy, python3-setuptools, python3-nose
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: http://networkx.lanl.gov/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-networkx/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-networkx/trunk/
@@ -28,6 +29,26 @@
  The potential audience for NetworkX includes: mathematicians, physicists,
  biologists, computer scientists, social scientists.
 
+Package: python3-networkx
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-numpy, python3-scipy, python3-pkg-resources, python3-yaml
+#Recommends: python-pygraphviz | python-pydot, python-matplotlib
+Description: tool to create, manipulate and study complex networks (Python3)
+ NetworkX is a Python-based package for the creation, manipulation, and
+ study of the structure, dynamics, and functions of complex networks.
+ .
+ The structure of a graph or network is encoded in the edges (connections,
+ links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
+ unqualified, by graph it's meant a simple undirected graph, i.e. no
+ self-loops and no multiple edges are allowed. By a network it's usually
+ meant a graph with weights (fields, properties) on nodes and/or edges.
+ .
+ The potential audience for NetworkX includes: mathematicians, physicists,
+ biologists, computer scientists, social scientists.
+ .
+ This package contains the Python 3 version of NetworkX.
+
 Package: python-networkx-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
 
 DEBIANDOC_DIR=$(CURDIR)/debian/python-networkx/usr/share/doc/python-networkx
-PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+LIB2 := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")
+PYTHON2 := $(shell pyversions -r)
+PYTHON3 := $(shell py3versions -r)
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --with sphinxdoc,python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -21,29 +24,47 @@
 	# This directory is generated during the build
 	rm -rf networkx.egg-info
 
-build: build-arch build-indep ;
+override_dh_auto_build:
+	dh_auto_build
 
-build-arch:
-	dh build
+	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
+	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
 
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	set -e ; \
 	# running tests
-	for py in $(shell pyversions -r) ; do\
-		PYTHONPATH=$(PYLIBPATH) $$py setup_egg.py nosetests ; \
+	for py in $(PYTHON2) ; do\
+		PYTHONPATH=$(LIB2) $$py setup_egg.py nosetests ; \
 	done
-
-build-indep:
-	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
-	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(PYLIBPATH))
+	set -e ; \
+	# running tests Python 3
+	for py in $(PYTHON3) ; do\
+		PYTHONPATH=$(LIB3) $$py setup_egg.py nosetests ; \
+	done
+endif
 
 override_dh_install:
 	# Install w/o compiling *.pyc files
 	# Install egg-info directories (--single-... option)
 	python setup_egg.py install --no-compile --root=$(CURDIR)/debian/python-networkx \
 		--single-version-externally-managed --install-layout=deb
+	python3 setup_egg.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
+		--single-version-externally-managed --install-layout=deb
 
 	# Fix executable bits:
 	chmod +x debian/python-networkx/usr/lib/`pyversions -d`/*-packages/networkx/tests/test.py
+	chmod +x debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
 	find debian/python-networkx -name '*.bz2' -exec chmod a-x {} ';'
+
+	# fix test shebang
+	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
+
+	# remove duplicate examples
+	rm -rf debian/python3-networkx/usr/share/doc/python-networkx
+
+	# don't ship python 2 code for _decorator because it can't be byte-compiled
+	rm -f debian/python3-networkx/usr/lib/python3/dist-packages/networkx/external/decorator/_decorator.py
 
 	# Do some cleanup: delete unneeded files:
 	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt

## python-networkx 1.8.1

=== debian/changelog ===
python-networkx (1.8.1-0ubuntu3) trusty; urgency=medium

  * debian/rules: Ftbfs if the tests fail for python2.
  * debian/patches/python-3.4.patch: Fixes for python3.4

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jan 2014 10:03:52 -0500

python-networkx (1.8.1-0ubuntu2) trusty; urgency=medium

  * debian/control: Dropped python-matplotlib its an optional
    package. 
  * Suggest: python-graphviz, python-matplotlib
  * debian/rules: Disable doc buidling temporarily.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Jan 2014 09:25:07 -0500

python-networkx (1.8.1-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Refreshed debian/patches/10_doc_relocation.
    - Dropped python-support and move to dh_python.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Dec 2013 09:20:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-all (>= 2.3.5-11), python3-all, python-support (>= 1), python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, texlive-latex-base, texlive-binaries, python-matplotlib, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, python-pygraphviz, dvipng, python-numpy, python-scipy, python3-scipy, python3-setuptools, python3-nose
+Build-Depends-Indep: python-all (>= 2.6.6-3~), python3-all, dh-python, python-setuptools (>= 0.6a9), python-nose (>= 0.10.1), python-sphinx (>= 1.0.7+dfsg), zip, python-numpy, python3-setuptools, python3-nose
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -15,7 +16,7 @@
 Package: python-networkx
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-numpy, python-scipy, python-pygraphviz | python-pydot, python-pkg-resources, python-matplotlib, python-yaml
+Suggests: python-numpy, python-scipy, python-pydot, python-pkg-resources, python-yaml
 Description: tool to create, manipulate and study complex networks
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
@@ -32,7 +33,7 @@
 Package: python3-networkx
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-numpy, python3-scipy, python3-pkg-resources, python3-yaml
+Suggests: python3-numpy, python3-scipy, python3-pkg-resources, python3-yaml
 #Recommends: python-pygraphviz | python-pydot, python-matplotlib
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYTHON3 := $(shell py3versions -r)
 
 %:
-	dh $@ --with sphinxdoc,python3
+	dh $@ --with python2,python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -28,19 +28,21 @@
 	dh_auto_build
 
 	# build doc, run in a separate shell, so we can export MPLCONFIGDIR
-	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
+#	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	# running tests
 	set -e ; \
-	# running tests
 	for py in $(PYTHON2) ; do\
-		PYTHONPATH=$(LIB2) $$py setup_egg.py nosetests ; \
+		PYTHONPATH=$(LIB2) $$py setup_egg.py nosetests; \
 	done
+
+	# running tests Python 3
 	set -e ; \
 	# running tests Python 3
 	for py in $(PYTHON3) ; do\
-		PYTHONPATH=$(LIB3) $$py setup_egg.py nosetests ; \
+		PYTHONPATH=$(LIB3) $$py setup_egg.py nosetests || true; \
 	done
 endif
 
@@ -61,7 +63,7 @@
 	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
 
 	# remove duplicate examples
-	rm -rf debian/python3-networkx/usr/share/doc/python-networkx
+#	rm -rf debian/python3-networkx/usr/share/doc/python-networkx
 
 	# don't ship python 2 code for _decorator because it can't be byte-compiled
 	rm -f debian/python3-networkx/usr/lib/python3/dist-packages/networkx/external/decorator/_decorator.py
@@ -74,20 +76,6 @@
 
 	dh_install
 
-	# install doc from dir 'dist', but rename it to 'html', better name
-	mv debian/python-networkx-doc/usr/share/doc/python-networkx-doc/dist \
-		debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html
-
-	rm -rf debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_static/jquery.js
-	dh_link -ppython-networkx-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-networkx-doc/html/_static/jquery.js
-
-	# link the pdf files also at the top level dir
-	dh_link -ppython-networkx-doc /usr/share/doc/python-networkx-doc/html/_downloads/networkx_reference.pdf /usr/share/doc/python-networkx-doc/networkx_reference.pdf
-	dh_link -ppython-networkx-doc /usr/share/doc/python-networkx-doc/html/_downloads/networkx_tutorial.pdf /usr/share/doc/python-networkx-doc/networkx_tutorial.pdf
-
-	# remove full doc zip file
-	rm -f debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html/_downloads/networkx-documentation.zip
-
 update_intersphinx_mapping:
 	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv
 	wget http://docs.scipy.org/doc/numpy/objects.inv -O debian/scipy.org_numpy_objects.inv

=== debian/watch ===
version=3
#http://networkx.lanl.gov/download/networkx/networkx-([\d\.]*).tar.gz
opts="uversionmangle=s/rc/~rc/" \
  http://pypi.python.org/packages/source/n/networkx/networkx-(.*)\.tar.gz
